Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# is_container

asdf.treeutil.is_container(node)

  Determine if an ASDF tree node is an instance of a “container” type (i.e., value may contain child nodes).

  Parameters:
    node object

      an ASDF tree node

  Returns:
    bool

      True if node is a container, False otherwise